# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name unordered-containers

Name:           ghc-%{pkg_name}
# part of haskell-platform-2013.2
Version:        0.2.3.0
Release:        3%{?dist}
Summary:        Efficient hashing-based container types

License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-hashable-devel
# End cabal-rpm deps

%description
Efficient hashing-based container types.  The containers have been
optimized for performance critical use, both in terms of large data
quantities and high speed.

The declared cost of each operation is either worst-case or
amortized, but remains valid even if structures are shared.


%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library
development files.

%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%doc LICENSE


%files devel -f %{name}-devel.files


%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jun 20 2013 Jens Petersen <petersen@redhat.com> - 0.2.3.0-2
- update to cabal-rpm-0.8
- part of haskell-platform-2013.2

* Tue Mar 12 2013 Jens Petersen <petersen@redhat.com> - 0.2.3.0-1
- update to 0.2.3.0

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Nov 08 2012 Jens Petersen <petersen@redhat.com> - 0.2.2.1-1
- update to 0.2.2.1

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 16 2012 Jens Petersen <petersen@redhat.com> - 0.2.1.0-2
- change prof BRs to devel

* Wed Jun 13 2012 Jens Petersen <petersen@redhat.com> - 0.2.1.0-1
- update to 0.2.1.0

* Fri Mar 23 2012 Jens Petersen <petersen@redhat.com> - 0.1.4.6-3
- add license to ghc_files

* Thu Mar  8 2012 Jens Petersen <petersen@redhat.com> - 0.1.4.6-2
- rebuild

* Thu Jan  5 2012 Jens Petersen <petersen@redhat.com> - 0.1.4.6-1
- update to 0.1.4.6 and cabal2spec-0.25.2

* Wed Nov 23 2011 Jens Petersen <petersen@redhat.com> - 0.1.4.3-1
- BSD license
- depends on deepseq and hashable

* Wed Nov 23 2011 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org>
- initial packaging for Fedora automatically generated by cabal2spec-0.24.1
